cc.Class({
    extends: cc.Component,
    properties: {
        // nodeArr:[cc.Node]
    },
    onLoad () {
        this.firstX = null;
        this.firsty = null;

        this.node.on(cc.Node.EventType.TOUCH_START,this.touchBegin,this);
        this.node.on(cc.Node.EventType.TOUCH_END,this.touchEnd,this);

        this.nodeArr = [];
    },
    touchBegin:function(event)
    {
        let location = event.getLocation();// 获取节点坐标
        this.firstX = location.x;
        this.firstY = location.y;

        // this.node.emit('touchBegin', {
        //     position: event.getLocation(),
        // });
    },
    touchEnd:function(event)
    {
        let touchPoint = event.getLocation();
        let endX = this.firstX - touchPoint.x;
        let endY = this.firstY - touchPoint.y;
        // var tempPlayer = node.parent.convertToNodeSpaceAR(touchPoint);
        // node.setPosition(tempPlayer);
    
        if (Math.abs(endX) > Math.abs(endY)){
            //手势向左右
            //判断向左还是向右 
            if (endX  > 0){
                //向左函数
                // console.log('left');
                this.node.emit("gesture",{name:'left'});
                // this.dispatch('touchLeft');
            } else {
                //向右函数
                // console.log('right');
                this.node.emit("gesture",{name:'right'});
            }
        } else {
            //手势向上下
            //判断手势向上还是向下
            if (endY  > 0){
                //向下函数
                // console.log('down');
                this.node.emit("gesture",{name:'down'});
            } else {
                //向上函数
                // console.log('up');
                this.node.emit("gesture",{name:'up'});
            }
         }
    }
});
